Stac Connect
const url = 'https://example.com/services/stac/connect';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"url":"example","token":"example","auth":{"method":"bearer","token":"example","username":"example","password":"example","header_name":"example","header_value":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/services/stac/connect \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "url": "example", "token": "example", "auth": { "method": "bearer", "token": "example", "username": "example", "password": "example", "header_name": "example", "header_value": "example" } }'Connect to a STAC API and validate the endpoint.
Accepts a credential for a protected catalog, applied to this call.
Authorizations
Section titled “ Authorizations ”Request Body required
Section titled “ Request Body required ”object
STAC API root URL to connect to.
How one request authenticates to the remote service it names.
object
How the credential is presented to the remote service. Omit the whole auth object for a public service.
Responses
Section titled “ Responses ”Successful Response
object
Normalized STAC API URL.
Catalog identifier from the landing page.
Catalog title.
Catalog description.
STAC specification version.
Example generated
{ "url": "example", "catalog_id": "example", "title": "example", "description": "example", "stac_version": "example"}Bad request — invalid payload
Unauthorized — missing or invalid credentials
Forbidden — caller lacks write access
Not found
Conflict — resource state prevents the operation
Validation error
Too many requests — retry after the advertised interval
Headers
Section titled “ Headers ”Seconds until the request may be retried
Internal server error
Service unavailable — the database could not serve the request